| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
TRAP_FLAGS_s Struct Reference

`#include <fault_handler/drivers/drv_trap_handler.h>`

Collaboration diagram for TRAP_FLAGS_s:

## Data Fields
union {
volatile uint32_t value
}; |
volatile unsigned | OVAERR:1
| Bit #0: Accumulator A Overflow Trap Flag bit. More...
volatile unsigned | OVBERR:1
| Bit #1: Accumulator B Overflow Trap Flag bit. More...
volatile unsigned | COVAERR:1
| Bit #2: Accumulator A Catastrophic Overflow Trap Flag bit. More...
volatile unsigned | COVBERR:1
| Bit #3: Accumulator B Catastrophic Overflow Trap Flag bit. More...
volatile unsigned | SFTACERR:1
| Bit #4: Shift Accumulator Error Status bit. More...
volatile unsigned | DIV0ERR:1
| Bit #5: Divide-by-Zero Error Status bit. More...
volatile unsigned | MATHERR:1
| Bit #6: Math Error Status bit. More...
volatile unsigned | ADDRERR:1
| Bit #7: Address Error Trap Status bit. More...
volatile unsigned | STKERR:1
| Bit #8: Stack Error Trap Status bit. More...
volatile unsigned | OSCFAIL:1
| Bit #9: Oscillator Failure Trap Status bit. More...
volatile unsigned | SWTRAP:1
| Bit #10: Software Trap Status bit. More...
volatile unsigned | NAE:1
| Bit #11: NVM Address Error Soft Trap Status bit. More...
volatile unsigned | DOOVR:1
| Bit #12: DO Stack Overflow Soft Trap Status bit. More...
volatile unsigned | APLL:1
| Bit #13: Auxiliary PLL Loss of Lock Soft Trap Status bit. More...
volatile unsigned | SGHT:1
| Bit #14: Software Generated Hard Trap Status bit. More...
volatile unsigned | DMACERR:1
| Bit #15: DMA Trap Status bit. More...
volatile unsigned | ECCDBE:1
| Bit #16: ECC Double-Bit Error Trap Status bit. More...
volatile unsigned | CAN:1
| Bit #17: CAN Address Error Soft Trap Status bit. More...
volatile unsigned | CAN2:1
| Bit #18: CAN2 Address Error Soft Trap Status bit. More...
volatile | unsigned:13
| Bit <19:31> (reserved) More...

## Detailed Description

Definition at line 130 of file drv_trap_handler.h.

## Field Documentation

## ◆ @355

union { ... }

## ◆ ADDRERR

volatile unsigned ADDRERR

Bit #7: Address Error Trap Status bit.

Definition at line 142 of file drv_trap_handler.h.

## ◆ APLL

volatile unsigned APLL

Bit #13: Auxiliary PLL Loss of Lock Soft Trap Status bit.

Definition at line 148 of file drv_trap_handler.h.

## ◆ CAN

volatile unsigned CAN

Bit #17: CAN Address Error Soft Trap Status bit.

Definition at line 153 of file drv_trap_handler.h.

## ◆ CAN2

volatile unsigned CAN2

Bit #18: CAN2 Address Error Soft Trap Status bit.

Definition at line 154 of file drv_trap_handler.h.

## ◆ COVAERR

volatile unsigned COVAERR

Bit #2: Accumulator A Catastrophic Overflow Trap Flag bit.

Definition at line 137 of file drv_trap_handler.h.

## ◆ COVBERR

volatile unsigned COVBERR

Bit #3: Accumulator B Catastrophic Overflow Trap Flag bit.

Definition at line 138 of file drv_trap_handler.h.

## ◆ DIV0ERR

volatile unsigned DIV0ERR

Bit #5: Divide-by-Zero Error Status bit.

Definition at line 140 of file drv_trap_handler.h.

## ◆ DMACERR

volatile unsigned DMACERR

Bit #15: DMA Trap Status bit.

Definition at line 150 of file drv_trap_handler.h.

## ◆ DOOVR

volatile unsigned DOOVR

Bit #12: DO Stack Overflow Soft Trap Status bit.

Definition at line 147 of file drv_trap_handler.h.

## ◆ ECCDBE

volatile unsigned ECCDBE

Bit #16: ECC Double-Bit Error Trap Status bit.

Definition at line 152 of file drv_trap_handler.h.

## ◆ MATHERR

volatile unsigned MATHERR

Bit #6: Math Error Status bit.

Definition at line 141 of file drv_trap_handler.h.

## ◆ NAE

volatile unsigned NAE

Bit #11: NVM Address Error Soft Trap Status bit.

Definition at line 146 of file drv_trap_handler.h.

## ◆ OSCFAIL

volatile unsigned OSCFAIL

Bit #9: Oscillator Failure Trap Status bit.

Definition at line 144 of file drv_trap_handler.h.

## ◆ OVAERR

volatile unsigned OVAERR

Bit #0: Accumulator A Overflow Trap Flag bit.

Definition at line 135 of file drv_trap_handler.h.

## ◆ OVBERR

volatile unsigned OVBERR

Bit #1: Accumulator B Overflow Trap Flag bit.

Definition at line 136 of file drv_trap_handler.h.

## ◆ SFTACERR

volatile unsigned SFTACERR

Bit #4: Shift Accumulator Error Status bit.

Definition at line 139 of file drv_trap_handler.h.

## ◆ SGHT

volatile unsigned SGHT

Bit #14: Software Generated Hard Trap Status bit.

Definition at line 149 of file drv_trap_handler.h.

## ◆ STKERR

volatile unsigned STKERR

Bit #8: Stack Error Trap Status bit.

Definition at line 143 of file drv_trap_handler.h.

## ◆ SWTRAP

volatile unsigned SWTRAP

Bit #10: Software Trap Status bit.

Definition at line 145 of file drv_trap_handler.h.

## ◆ unsigned

volatile unsigned

Bit <19:31> (reserved)

Definition at line 155 of file drv_trap_handler.h.

## ◆ value

volatile uint32_t value

Definition at line 159 of file drv_trap_handler.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/fault_handler/drivers/drv_trap_handler.h